Are there minimum device requirements for the LearningField eReaders?

Follow

We recommend or require the following specifications for the LearningField Mac, PC, iPad and Android eReaders:

LearningField Mac eReader

  • Required operating system: Mac OSX 10.9 or later

LearningField PC eReader

  • Required operating system: Windows 7 or later
  • Please note that the PC eReader cannot be installed on Chromebook or Windows RT devices

LearningField iPad eReader

  • Required operating system: iOS 7 or later
  • Recommended iPad model: iPad 3 or above

LearningField Android eReader

  • Required operating system: Android 4 or later

 

 

Have more questions? Submit a request

Comments

Powered by Zendesk